import { z } from "zod";

export const UserViewSchema = z.object({
  id: z.string(),
  username: z.string(),
  countryCode: z.string(),
  creditBalance: z.number(),
  dailyFreeChatLimit: z.number(),
  dailyFreeChatRemaining: z.number(),
  dailyFreePrivateLimit: z.number(),
  dailyFreePrivateRemaining: z.number(),
  isVip: z.boolean(),
});

export type UserView = z.infer<typeof UserViewSchema>;
